catalog.brand.create
Create a brand (tenant-owned marketing identity).
- Scope:
catalog.product.write - System: no
- Reachable from:
POST /v1/commands/catalog.brand.create(tenant credential) · MCP toolcatalog.brand.create· SDKclient.call('catalog.brand.create', …) - Events:
catalog.brand.created
Input (JSON Schema)
Section titled “Input (JSON Schema)”{ "properties": { "logo_media": { "anyOf": [ { "minLength": 1, "type": "string" }, { "type": "null" } ] }, "name": { "minLength": 1, "type": "string" }, "slug": { "maxLength": 120, "minLength": 1, "pattern": "^[a-z0-9]+(?:-[a-z0-9]+)*$", "type": "string" }, "status": { "enum": [ "active", "archived" ], "type": "string" } }, "required": [ "name", "slug" ], "type": "object"}Result (200)
Section titled “Result (200)”{ "additionalProperties": false, "properties": { "brand_id": { "type": "string" } }, "required": [ "brand_id" ], "type": "object"}Errors
Section titled “Errors”validation_failed (400) · unauthorized (401) · forbidden (403) · conflict (409) · internal (500)